##
## Process this file with automake to produce Makefile.in
##
## CVS ID: "$Id: Makefile.am,v 1.19 2006/07/22 20:36:11 marcs Exp $"
##
lib_LTLIBRARIES	= libabase.la

include_HEADERS	= abase_debug.h \
		  abase_porting.h \
                  abase_error.h \
		  abase_fileutil.h \
		  abase_memalloc.h \
		  abase_mm_alloc.h \
		  abase_dstring.h \
		  abase_meminfo.h \
		  abase_repr.h

libabase_la_SOURCES = abase_error.h abase_error.c \
		      abase_memalloc.h abase_memalloc.c \
		      abase_mm_alloc.h abase_mm_alloc.c \
		      abase_fileutil.h abase_fileutil.c \
		      abase_dstring.h abase_dstring.c \
		      abase_meminfo.h abase_meminfo.c

VERSION_FLAGS = $(subst .,:,$(VERSION))

libabase_la_LDFLAGS = -version-info $(VERSION_FLAGS)

libabase_la_CFLAGS = @DBG_OPT@ @MEMLOG_OPT@ -Wall $(AM_CFLAGS) -DVERSION=\"${VERSION}\"

## Conditionally generate local test program
EXTRA_PROGRAMS = abase_test

abase_test_SOURCES = abase_test.c

abase_test_DEPENDENCIES = libabase.la

abase_test_LDADD = libabase.la

test: $(EXTRA_PROGRAMS)

CLEANFILES = $(EXTRA_PROGRAMS)
